<?php
// Relative
$relative = '../';
$path = $relative. 'data/other/';

# get correct id for plugin
$thisfile=basename(__FILE__, ".php");


# register plugin
register_plugin(
	$thisfile,
	'Cumbe_pages & comments',
	'2',
	'Cumbe',
	'http://cumbe.260mb.org/',
	'Description:  easily put comments system to your pages',
	'pages', //page type
	'pwcomments'
);

//set internationalization
if (basename($_SERVER['PHP_SELF']) != 'index.php') { // backend only
  i18n_merge('pages_comments', $LANG);
  i18n_merge('pages_comments', 'en_US');
}

//añadimos pestaña a sidebar de plugins
add_action('pages-sidebar','createSideMenu',array('pages_comments',i18n_r('pages_comments/NEWS')));

//changedata-save Called just before a page is saved
add_action('changedata-save','prch_name_pages');

//add button Back to content of page if page is in pages&comments
//add_action('content-top','sv_pages_back');

//add comments to content of page if page is in pages&comments and choosed comments=yes
add_action('content-bottom','sv_pages_first');  


//add css to head
add_action('theme-header','inc_pccss');

//filter content to add comments if these are called from page directly
// ** TO DO **
//add_filter('content','comments');





function inc_pccss(){
  ///////////////////////////////////////////////////////////
  //  include file css of page & comments
  ///////////////////////////////////////////////////////////
   global $SITEURL;
   echo '<link href="'.$SITEURL.'plugins/pages_comments/pc.css" rel="stylesheet">';
}

function prch_name_pages(){
  ///////////////////////////////////////////////////////////
  //   This function works if is changed name of page.
  //     - $url: file name after changer;
  //     - $_POST: use for to see file name before change,
  //               checking first that exists it in array.
  ///////////////////////////////////////////////////////////

    global $url, $_POST;
    $ext_url=$url;
    if (array_key_exists('existing-url', $_POST)){
       $ext_url=$_POST['existing-url'];
    }

    if ($ext_url != $url){
        $log_name = $url.'.log';
        $log_name_old = $ext_url.'.log';
        $log_path = GSDATAOTHERPATH.'pages_comments/';
        $log_file_old = $log_path . $log_name_old;
        $log_file = $log_path . $log_name;

        //change name to file log that saves comments       
        if (file_exists($log_file_old)) {
            rename ($log_file_old, $log_file);
        }

	//update pc_manager.xml, that contain pages with comments.
	//filterus by url old and after change to new url
  	$pcm_file= GSDATAOTHERPATH.'pages_comments/pc_manager.xml';

        //if exists file   
        if (is_file($pcm_file)){
		//check  entry
		$domDocument = new DomDocument();
		$domDocument->load($pcm_file);

		//DOMXPath to filter
		$xpath = new DOMXPath($domDocument);			

		$verN = $xpath->query('page[url="'.$ext_url.'.xml"]');			
	  	$num = $verN->length;
		if ($num > 0){
			$dNdList = $verN->item(0)->getElementsByTagName( "url" );
        	        $dNdList->item(0)->nodeValue= $url.'.xml';
		} 
 		$domDocument->save($pcm_file);
        }


        //change(update) url in pc_lastcom.xml
        if (is_file($log_path.'pc_lastcom.xml')){
		//check  entry
		$domDocument = new DomDocument();
		$domDocument->load($log_path.'pc_lastcom.xml');

		//DOMXPath to filter
		$xpath = new DOMXPath($domDocument);               
		$verN = $xpath->query('entry/filelog[../filelog="'.$log_name_old.'"]');			
	  	$num = $verN->length;
		if ($num > 0){
                        foreach ($verN as $node) {
         	             $node->nodeValue= $log_name;
                        }
		} 
 		$domDocument->save($log_path.'pc_lastcom.xml');

        }         
   }

}

///////////////////////////////////////////////
//////   BACKEND - ADMIN - PLUGINS  //////////
///////////////////////////////////////////////

function pwcomments(){

    global $SITEURL;
    global $i18n, $LANG;

    //Pages with comments
    $log_name = 'pc_manager.xml';
    $log_path = GSDATAOTHERPATH.'pages_comments/';
    $log_file = $log_path . $log_name;

    //check exists dir $log_path = GSDATAOTHERPATH.'pages_comments/';
    //if don't > create.
    if(!is_dir(GSDATAOTHERPATH.'pages_comments')){
	@mkdir(GSDATAOTHERPATH.'pages_comments', 0755);
    }

    //create dir backup
    if (!is_dir($log_path.'pages_comments_bak')){
       mkdir( $log_path.'pages_comments_bak');
    }
?>
	<script type="text/javascript">
        <!--
		function Viewmore(id){
                    var frm=document.getElementById(id);
                    if(frm.style.display=="table-row"){
                       frm.style.display="none";
                    }
                    else
                    if(frm.style.display=="none"){
		       frm.style.display="table-row";
		    }
                }
        -->
	</script> 
<?php

    echo '<div style="text-align: center;"><h3>'.strtoupper(stripslashes(html_entity_decode(i18n_r('pages_comments/nm_NCMNG')))).'</h3></div><br />';
    echo '<div style=" display: block;">';
    echo '<a href="load.php?id=pages_comments&amp;action=pc_last" style="background-color: rgb(65, 90, 102); border-radius: 5px 5px 5px 5px; color: #EEE; padding: 3px 5px; text-decoration: none;" title="'.i18n_r('pages_comments/pc_lastcom').'">'.i18n_r('pages_comments/pc_lastcom').'</a>';
    echo '<a href="load.php?id=pages_comments&amp;action=pc_viewpages" style="background-color: rgb(65, 90, 102); border-radius: 5px 5px 5px 5px; color: #EEE;  margin-left: 10px; padding: 3px 5px; text-decoration: none;" title="'.i18n_r('pages_comments/nm_NEWS').'">'.i18n_r('pages_comments/nm_NEWS').'</a>';
    echo '<a href="load.php?id=pages_comments&amp;action=pc_manager" style="background-color: rgb(65, 90, 102); border-radius: 5px 5px 5px 5px; color: #EEE; margin-left: 10px; padding: 3px 5px; text-decoration: none;" title="'.i18n_r('pages_comments/nm_mng').'">'.i18n_r('pages_comments/nm_mng').'</a>';
    echo '<a href="load.php?id=pages_comments&amp;action=pc_backup" style="background-color: rgb(65, 90, 102); border-radius: 5px 5px 5px 5px; color: #EEE; margin-left: 10px; padding: 3px 5px; text-decoration: none;" title="'.i18n_r('pages_comments/nm_bckup').'">'.i18n_r('pages_comments/nm_bckup').'</a>';
    echo '<a href="load.php?id=pages_comments&amp;action=pc_setting" style="background-color: rgb(65, 90, 102); border-radius: 5px 5px 5px 5px;  color: #EEE; margin-left: 10px; padding: 3px 5px; text-decoration: none;" title="'.i18n_r('pages_comments/nm_settl').'">'.i18n_r('pages_comments/nm_sett').'</a>';
    echo '<a href="load.php?id=pages_comments&amp;action=pc_help" style="background-color: rgb(65, 90, 102); border-radius: 5px 5px 5px 5px;  color: #EEE; margin-left: 10px; padding: 3px 5px; text-decoration: none;" title="'.i18n_r('pages_comments/nm_hlp').'">'.i18n_r('pages_comments/nm_hlp').'</a>';
    echo '</div>';
    echo '<br />';



    if (@$_GET['action'] == 'pc_viewpages') {
       include ('pages_comments/pcviewpages.php');

    }

    if (@$_GET['action'] == 'pc_manager') {
       include ('pages_comments/pcmanager.php');

    }

    if (@$_GET['action'] == 'add_pages') {
       include ('pages_comments/pcaddpages.php');

    }

    if (@$_GET['action'] == 'del_pages') {
       include ('pages_comments/pcdelpages.php');

    }

    if (@$_GET['action'] == 'edt_pages') {
       include ('pages_comments/pcedtpages.php');

    }

    if (@$_GET['action'] == 'pc_viewcom') {
       include ('pages_comments/pcviewcom.php');

    }

    if (@$_GET['action'] == 'pc_backup') {
       include ('pages_comments/pcbackup.php');

    }

    if (@$_GET['action'] == 'pc_setting') {
       include ('pages_comments/pcsettgs.php');

    }

    if (@$_GET['action'] == 'pc_help') {
       include ('pages_comments/summary.php');

    }

    if (@$_GET['action'] =='pc_last') {
       include ('pages_comments/pclastcom.php');
    }


    if (@$_GET['action'] =='') {
       include ('pages_comments/pclastcom.php');
    }
}





///////////////////////////////////////////////
//////          FRONTEND              /////////
//////  COMMENTS FROM PAGES OR NEWS   /////////
///////////////////////////////////////////////


function sv_pages_first(){

  ///////////////////////////////////////////////////////////   
  //   add comments to content of page if page is 
  //   in pages&comments and choosed comments=yes
  ///////////////////////////////////////////////////////////   

    $fich=return_page_slug();
    $log_name = $fich.'.log';
    $log_path = GSDATAOTHERPATH.'pages_comments/';
    $log_file = $log_path . $log_name;

    //check if exists $log_path = GSDATAOTHERPATH.'pages_comments/';
    //if do not > create
    if(!is_dir(GSDATAOTHERPATH.'pages_comments')){
	@mkdir(GSDATAOTHERPATH.'pages_comments', 0755);
    }
     
    $com ='';
    //data of manager
    if (file_exists($log_path.'pc_manager.xml')) {
   	$domDocument = new DomDocument();
	$domDocument->load($log_path.'pc_manager.xml');
        

	//DOMXPath to filter by url
	$xpath = new DOMXPath($domDocument);
	$verNodeU =$xpath->query("page[url='$fich.xml']");
        $num = 	$verNodeU->length;
        if ($num>0){
	    $dNdList = $verNodeU->item(0)->getElementsByTagName( "com" );
            $com = $dNdList->item(0)->nodeValue;
        }

    } 
    if ($com =='Y') {
       echo '<br />';
       sv_pages('', false);
    }

}

function comments($content){
       /* TO DO */
       /*  
       $pos=strpos($content,'(%comments%)');
       if ($pos!=false){
              echo str_replace('(%comments%)','',$content);
              sv_pages('', true);    
              
      }*/
}


function sv_pages($usu='', $callcom=false){

  ///////////////////////////////////////////////////////////   
  //   main function that shows comments of a page
  ///////////////////////////////////////////////////////////   

    global $EMAIL;
    global $SITEURL;
    global $i18n;
    global $LANG;
    global $PRETTYURLS;

    $err = '';
    $fich=return_page_slug();
    $log_name = $fich.'.log';
    $log_path = GSDATAOTHERPATH.'pages_comments/';
    $log_file = $log_path . $log_name;
    $ncm_file = $log_path.'pc_settgs.xml';
    $titleform = '';

    if (file_exists(GSDATAPATH.'users/'.$usu.'.xml')) {
                $data = getXML(GSDATAPATH.'users/'.$usu.'.xml');
		$EMAIL = $data->EMAIL;
                $LANG = $data->LANG;
    }

    //i18n compatible
    if (isset($_GET['setlang'])){
        $LANG = $_GET['setlang']. '_'.strtoupper($_GET['setlang']);
    }
    
   //i18n lang
        i18n_merge('pages_comments', $LANG) || i18n_merge('pages_comments','en_US'); 

   //data of settings
   if ( file_exists($ncm_file) ) {
       $domDocument = new DomDocument();
       $domDocument->load($ncm_file);

       //DOMXPath to filter
       $xpath = new DOMXPath($domDocument);
       $filex = 1;
       $num=0;
       $n=0; 
       $verN = $xpath->query('sett');			
  	$num = $verN->length;
	if ($num > 0){	
		$dNdList = $verN->item(0)->getElementsByTagName( "nclang" );
                $LANG = $dNdList->item(0)->nodeValue;
		$dNdList = $verN->item(0)->getElementsByTagName( "ncemail" );
                $EMAIL = $dNdList->item(0)->nodeValue;
		$dNdList = $verN->item(0)->getElementsByTagName( "ncffpost" );
                $ffpost = substr($dNdList->item(0)->nodeValue,2);
		$dNdList = $verN->item(0)->getElementsByTagName( "phpmailer" );
                $phpmailer = $dNdList->item(0)->nodeValue;
		$dNdList = $verN->item(0)->getElementsByTagName( "pcuserdel" );
                $pcuserdel = $dNdList->item(0)->nodeValue;
                if ($callcom== true ){ 
		    $dNdList = $verN->item(0)->getElementsByTagName( "emot" );
                    $vemot = $dNdList->item(0)->nodeValue;
	    	    $dNdList = $verN->item(0)->getElementsByTagName( "capt" );
                    $capt = $dNdList->item(0)->nodeValue;
	    	    $dNdList = $verN->item(0)->getElementsByTagName( "moder" );
                    $moder = $dNdList->item(0)->nodeValue;
	    	    $dNdList = $verN->item(0)->getElementsByTagName( "nmusr" );
                    $ncusr = $dNdList->item(0)->nodeValue;
		    $dNdList = $verN->item(0)->getElementsByTagName( "npag" );
                    $cada = $dNdList->item(0)->nodeValue;
		    $dNdList = $verN->item(0)->getElementsByTagName( "ord" );
                    $eleg = $dNdList->item(0)->nodeValue;
                }
	}
  }

      //i18n lang
      //  i18n_merge('pages_comments', $LANG) || i18n_merge('pages_comments','en_US');  
    
    if (file_exists('gsconfig.php')) {
	    include_once('gsconfig.php');
    }
    // Debugging
    if (defined('GSDEBUG')){
	error_reporting(E_ALL | E_STRICT);
    	ini_set('display_errors', 1);
    } else {
	error_reporting(0);
    	@ini_set('display_errors', 0);
    }

    //check folder $log_path = GSDATAOTHERPATH.'pages_comments/';
    //if do not exists > create.
    if(!is_dir(GSDATAOTHERPATH.'pages_comments')){
	@mkdir(GSDATAOTHERPATH.'pages_comments', 0755);
    }

    //data of manager
    if (file_exists($log_path.'pc_manager.xml') and $callcom==false) {
   	$domDocument = new DomDocument();
	$domDocument->load($log_path.'pc_manager.xml');

	//DOMXPath to filter by url
	$xpath = new DOMXPath($domDocument);
	$verNodeU =$xpath->query("page[url='$fich.xml']");
	foreach($verNodeU as $node) {
		$dNdList = $node->getElementsByTagName( "*" );
		foreach($dNdList as $node) {
			$n = strtolower($node->nodeName);

		        if ($n== 'npag'){
			      $cada= $node->nodeValue;
			}
			if ($n== 'capt'){
			      $capt= $node->nodeValue;
                    	}
			if ($n== 'emot'){
			      $vemot= $node->nodeValue;
                    	}
			if ($n== 'ord'){
			      $eleg= $node->nodeValue;
                    	}
			if ($n== 'moder'){
			      $moder= $node->nodeValue;
                    	}
			if ($n== 'nmusr'){
			      $ncusr= $node->nodeValue;
                    	}
			if ($n== 'titleform'){
                              $titleform= $node->nodeValue;   
                    	}
		}
	}

    }

?>

	<script type="text/javascript">
        <!--
		function Insertcom(id, at, count){
                    var frm=document.getElementById(id);
                    if(frm.style.display=="block"){
                       frm.style.display="none";
                       bc="<?php echo i18n_r('pages_comments/nm_view').' '.i18n_r('pages_comments/nm_comc'); ?>";
                       bcimgtext="<?php echo i18n_r('pages_comments/pc_expand'); ?>";   
                       bcimg = "<?php echo $SITEURL; ?>plugins/pages_comments/images/ico-plus.png"  
                       bcdisplay= "none";       
                       if (id=="registerform"){
                           document.getElementById("userloginregistertitle").style.display="none";
                       } 
                    }
                    else
                    if(frm.style.display=="none"){
                       if (id=="registerform"){
                           document.getElementById("userloginregistertitle").style.display="block";
                       } 
		       frm.style.display="block";
                       bc="<?php echo i18n_r('pages_comments/nm_hide').' '.i18n_r('pages_comments/nm_comc'); ?>";
                       bcimgtext="<?php echo i18n_r('pages_comments/pc_collapse'); ?>";
                       bcimg = "<?php echo $SITEURL; ?>plugins/pages_comments/images/ico-minor.png"
		    }
                    if (id.substr(0,6)=="tablar"){
                           document.getElementById("bc"+id).title=bc;
                    }
                    if (id.substr(0,11)=="contentmain"){
                           document.getElementById("img"+id).title=bcimgtext;
                           document.getElementById("img"+id).src=bcimg;
                           if (bcdisplay == "none"){
                               if (document.getElementById("form"+count) != null){
                                   document.getElementById("form"+count).style.display="none";
                               }
                               document.getElementById("tablar"+at).style.display="none";
                               if (document.getElementById("bctablar"+at) != null){
                                   document.getElementById("bctablar"+at).title=bc;
                               }    

                           } 
                    }
                     
                }

	        function confirmar(msge) {
	            if(!confirm(msge)) { 
                       return false; 
                    } else {
                       return true;
                    }    
                }

	       function shwimg(id){
		   document.getElementById(id).style.visibility = 'visible'
	       }
	       function Nshwimg(id){
		   document.getElementById(id).style.visibility = 'hidden'
	       }


         -->
	</script> 
	<?php

    //call function users controls if page has user control
    if ($ncusr == 'Y'){
        pcusers($ncusr);    
		//data of memberonly of page
		$xmldata = GSDATAPAGESPATH.$fich.'.xml';
		$dataslug = getXML($xmldata);

		//Check if page is for members
		if($dataslug->memberonly == "yes"){
                   if (!isset($_SESSION["LoggedIn"])){ 
                       exit;     
                   }
	        }
    }

    //check url by prettyurls
    if 	($PRETTYURLS =='') {
            $idpret = $SITEURL.'index.php?id='. $fich.'&amp;';
    } else {
	    $idpret = $SITEURL.$fich.'/?';	
    }

   //DELETE POST BY USER
    if (isset($_SESSION["LoggedIn"]) and file_exists($log_file)){ 
         if (@$_GET['iddelpost']!= '') {
    	       $domDocument = new DomDocument();
               $domDocument->preserveWhiteSpace = FALSE;
               $domDocument->load($log_file);
	       $xpath = new DOMXPath($domDocument);
               $q = 0;
               if (@$_GET['sidelpost'] > 0 ){
                   //remove only this comment
                   $verNodeU = $xpath->query("entry[Id=".@$_GET['iddelpost']." and SubId=".@$_GET['sidelpost']."]");
                   $delcomus='S'; 
               } else {
                   if ($pcuserdel == 'Y'){
                        //if delete main comment, remove replies too 
                        $delcomus='S';
                        $verNodeU = $xpath->query("entry[Id=".@$_GET['iddelpost']."]");
                   } else if ($pcuserdel == 'N'){
                        $verNodeU = $xpath->query("entry[Id=".@$_GET['iddelpost']." and answ='y']");
		        $dnlLen= $verNodeU->length;
                        if ($dnlLen > 0){
                            //Do not remove main comment becuase has replies.
                            $delcomus='N';
?>
                            <script type="text/javascript">
                                alert("<?php echo i18n_r('pages_comments/pc_delcommain'); ?>");
                                location.href="<?php echo $idpret; ?>";
                                exit;
                            </script> 
<?php 
                        } else {
                            $delcomus='S';                            
                            $verNodeU = $xpath->query("entry[Id=".@$_GET['iddelpost']."]");
                        }   
                   }              
               }
               if ($delcomus == 'S'){
    	           $dnlLen= $verNodeU->length;
                   $auth= $verNodeU->item(0)->getElementsByTagName( "Nb" );
                   $auth= $auth->item(0)->nodeValue;
                   if ($_SESSION["Username"] == stripslashes(html_entity_decode($auth))){
                        for ($q; $q<$dnlLen; $q++){
                             $ndL = $verNodeU ->item($q)->parentNode;
                             $ndL -> removeChild($verNodeU ->item($q));
                        }
                        $domDocument->save($log_file);
                        //redirect for deleting end of line
?>    
                        <script type="text/javascript">
                             location.href="<?php echo $idpret; ?>";
                             exit;
                        </script>   
<?php 
                   }
             }  
         }
    }


    if(file_exists($log_file)) {
	    $log_data = getXML($log_file);
    }

    //backlink in pagination
    $back = '';
    $back = @$_GET['back'];
    if ($back!=''){
        $back = '&amp;back='.$back;
    }


   //if error in captcha writes correspondient form with data passed
   global $mi_array;
   global $mi_arrayp;
   $mi_arrayp= array(
      "nombre" =>  '',
      "email" =>  '',
      "city" =>  '',
      "comentario" =>  '',
      "subject" =>  '',
   );

  
   if (isset($_GET['miarr'])){
        $a=stripslashes ($_GET['miarr']);
        $mi_array=unserialize($a);        
   }


   //array emoticons
   $array_emot = news_emot('array','id');
   $myfile=''; 
   $count = 1;
   $at = 0;
   $mi='';
   $pagi=1;
   $id=1;
   if (@$_GET['pag'] != ''){ $pagi= @$_GET['pag']; }

   //if file of comment's log exist show comments :)
   if(file_exists($log_file)){
   	$domDocument = new DomDocument();
	$domDocument->load($log_file);
	//DOMXPath to filter by answ=n
	$xpath = new DOMXPath($domDocument);
        //looking for number for pagination
	$verN = $xpath->query("entry[answ='n' and moder='Y']");
	$numpag = $verN->length;		
        //looking for number for main comments
	$verN = $xpath->query("entry[answ='n']");	
	$num = 	$verN->length;
	if ($num > 0){
            if ($ncusr != 'Y'){
	        echo '<div id="hd_cm">';
                     echo i18n_r('pages_comments/cmm');
                     //mark with 'pcom' to link directly with comments
                     echo '<a style="background-color: transparent; color: transparent; font-weight: normal; text-decoration: none; float: right; line-height: 10; width: 0px; height: 10px;" id="pcom">.</a>';
                echo '</div>';
            } else {
                     //mark with 'pcom' to link directly with comments
                     echo '<a style="background-color: transparent; color: transparent; font-weight: normal; text-decoration: none; float: right; line-height: 10; width: 0px; height: 10px;" id="pcom">.</a>';
            }      
	} else {
	    $num = 1;
	}

	//search $id, is parameter that define number of new comment(answ='n') that is saved in log.	
        $verNodeU = $xpath->query("entry/Id[../answ='n']");
	$dnlLen=$verNodeU->length;
	$id= ($verNodeU->item($num - 1)->nodeValue) + 1;
        $verNodeU = $xpath->query("entry");
	$dnlLen= $verNodeU->length;

        //pagination
	if ($numpag/$cada > 1){	
	    echo '<div class="pag">';                
		 echo '<div class="texter">';
                      echo 'Pag.: ';

                 echo '</div>';
		 for ($i=1; $i<($numpag/$cada)+1; $i++){
                     if ($i == $pagi){  
		         $mi.= '<a class="activ" href="'.$idpret.'pag='.$i.$back.'#pcom">'.$i.'</a> ';   
		     } else { 
			 $mi.= '<a href="'.$idpret.'pag='.$i.$back.'#pcom">'.$i.'</a> ';
		     }	
	 	 }
		 if ($pagi == 1){
		     $pprev='';
		 } else {
		     $pprev = '<a href="'.$idpret.'pag='.($pagi - 1).$back.'#pcom" title="'.i18n_r('pages_comments/prevp').'" class="prev"> '.i18n_r('pages_comments/Prev').' </a>';
		 }	
		 if ($pagi == $i - 1){
		     $pnext='';
		 } else {
		     $pnext = '<a href="'.$idpret.'pag='.($pagi + 1).$back.'#pcom" title="'.i18n_r('pages_comments/nextp').'" class="next"> '.i18n_r('pages_comments/Next').' </a>';
		 }
		 echo $pprev.$mi.$pnext;
             echo '</div>';
         }

			
	//order
	if ($eleg != 'A' && $eleg != 'D'){$eleg = 'A'; }
	if ($eleg == 'A'){
	    $num = 0;
	} elseif ($eleg =='D') {
	    $num= $dnlLen;
	}			

        //See COMMENTS
	for ($q= 0; $q< $dnlLen+1; $q++){
	    //$verNodeU =$xpath->query("entry[answ='n' and moder='Y' and position()=".$num."]");
	    $verNodeU =$xpath->query("entry[answ='n' and position()=".$num."]");
	    foreach($verNodeU as $node) {
		if ($count <= ($cada * $pagi) && $count > ($cada * ($pagi-1))) {
                    $lin2='';
		    //echo '<div class="tabla">';
		    $dNdList = $node->getElementsByTagName( "*" );
		    $at = $node->getAttribute('id');
                    //search how many replies have a main comment
		    $verNodeU_r = $xpath->query("entry[Id=$at and moder='Y' and answ='y']");
		    $dnlLen_r=$verNodeU_r->length;
                    
                    //start         
                    $linauth = '';   
                    $linrpl = '';

		    foreach($dNdList as $node) {
		        $name= $node->nodeName;
			$d = $node->nodeValue;
			$d = filtro(stripslashes(html_entity_decode($d)));
			$n = strtolower($name);

			//check if its an email address
			if (check_email_address($d)) {
			 	$d = '<a href="mailto:'.$d.'">&nbsp;'. $d.'</a>';
			}

   		        //check first line
			if ($n == 'nb') {
                               $linauth = stripslashes(html_entity_decode($d));
                               $linrpl = '';
                               //if user is logged in then is possible delete post
                               if (isset($_SESSION["LoggedIn"])){ 
                                   if ($_SESSION["Username"] == stripslashes(html_entity_decode($d))) {
                                       $linrpl = '<a class="replyblg" href="'.$idpret.'iddelpost='.$at.'&amp;sidelpost=0"  onClick="return confirmar(&quot;'.i18n_r('pages_comments/pc_delcom').'&quot;)">'.i18n_r('pages_comments/pc_del').'</a>';
                                   }
                                   $linrpl .= '<a class="replyblg" href="javascript:Insertcom(&quot;form'.$count.'&quot;,&quot;'.$count.'&quot;,&quot;'.$count.'&quot;)"> '.i18n_r('pages_comments/mf').'</a>';
                               }
                               if ($ncusr == 'N'){
                                   $linrpl .= '<a class="replyblg" href="javascript:Insertcom(&quot;form'.$count.'&quot;,&quot;'.$count.'&quot;,&quot;'.$count.'&quot;)"> '.i18n_r('pages_comments/mf').'</a>';
                               }    
			   } else if ($n == 'date'){
			       $d = strtotime(substr($d,0,strpos($d,'+')-1));
			       $d = strftime($ffpost, $d);
                               $fftime = $d;
                                  $pcyear = strftime('%Y', strtotime($d));  //year 4 digits
                                  $pcmon = strftime('%h',strtotime($d));  //month 3 letters
                                  $pcday = strftime('%d', strtotime($d));  //day 2 numbers
                                  $pctime =  strftime('%R', strtotime($d));  //HH:MM

			   } else if ($n == 'cm') {  //comments  
                               $comment= BBcodeN($d);
                               foreach  ($array_emot as $key => $val) { 
                                   $comment = str_replace($array_emot[$key], '<img src="'.$SITEURL.'plugins/pages_comments/img_emot/'.substr($array_emot[$key],1, strlen($array_emot[$key])-2).'.gif" alt="'.$array_emot[$key].'" />', $comment);    
			       }	


			   }
			   else if ($n == 'ct'){
                                $ct = '';   
                                if (trim($d) != ''){
                                    $ct =  htmlentities(i18n_r('pages_comments/WHO'), ENT_QUOTES, "UTF-8").' '.$d;
                                }
                           }
			   else if ($n == 'captcha'){}
			   else if ($n === 'em'){}
   			   else if ($n == 'ip_address'){}
			   else if ($n == 'answ'){}	
			   else if ($n == 'moder'){$public_main=$d;}	
			   else if ($n == 'id') {}
                           else if ($n == 'subid') {}
			   else if ($n == 'subj'){
                                $lin2= $d;
                           }	
              

		    } //se acaba segundo foreach

                    //only if comments are publics then they are showed. 
                    if ($public_main == 'Y'){
		    echo '<div class="tabla">';
		    echo '<div class="commain" onMouseOver="shwimg(&quot;imgcontentmain'.$at.'&quot;)" onMouseOut="Nshwimg(&quot;imgcontentmain'.$at.'&quot;)">';
		        echo '<div class="commainblg">';
                             echo '<div class="subjblg">';
                                  echo '<img src="'.$SITEURL.'plugins/pages_comments/images/etq.png" />';
                                  echo '&nbsp;'.$linauth;
                                  if (trim($lin2) != ''){
                                      echo ': '.$lin2;
                                  }
                                  echo '<div class="blq">';
                                        echo '<a href="javascript:Insertcom(&quot;contentmain'.$at.'&quot;,&quot;'.$at.'&quot;,&quot;'.$count.'&quot;)"><img style="visibility: hidden;" src="'.$SITEURL.'plugins/pages_comments/images/ico-minor.png" id="imgcontentmain'.$at.'" title="'.i18n_r('pages_comments/pc_collapse').'" /></a>';
                                  echo '</div>';
                             echo '</div>';
                             //clean float
                             echo '<div class="clear"></div>';
                             echo '<div id="contentmain'.$at.'" style="display: block;">';
                                  echo '<div class="comtblg">'.$comment.'</div>';
                                  echo '<div class="lastline">';
   
                                      echo '<div class="buttoncom">';
                                           echo '<div class="fftimeblg">';
                                                echo htmlentities(i18n_r('pages_comments/pubd'), ENT_QUOTES, "UTF-8").' '.$fftime;
                                                if ($ct != ''){
                                                    echo ', '.$ct;
                                                } 
                                           echo '</div>';
                                      echo '</div>';
                                      echo '<div class="replyblg">';
                                           if ($dnlLen_r > 0){  
                                               echo '<a href="javascript:Insertcom(&quot;tablar'.$at.'&quot;,&quot;'.$at.'&quot;,&quot;'.$count.'&quot;)" title="'.i18n_r('pages_comments/nm_view').' '.$dnlLen_r.' '.i18n_r('pages_comments/nm_comc').'" id="bctablar'.$at.'">'.$dnlLen_r.' '.i18n_r('pages_comments/nm_comc').'</a>';
                                           }
                                           echo '&nbsp;&nbsp;&nbsp;';
                                           echo $linrpl;
                                      echo '</div>';
                                  echo '</div>';
                             echo '</div>'; 
                        echo '</div>'; 
                    echo '</div>';
                    echo '</div>';
                    //clean float
                    echo '<div class="clear"></div>';

//////////////////  //insert replies to this comments
 	            echo '<div class="tablardisplay" id="tablar'.$at.'" style="display: none;">';
		    //$verNodeU_r = $xpath->query("entry[Id=$at and moder='Y' and answ='y']");
		    $verNodeU_r = $xpath->query("entry[Id=$at and answ='y']");
		    $dnlLen_r=$verNodeU_r->length;
                    $lindelete = ''; 
		    if ($dnlLen_r ==0){ echo '<br />'; }
			$countr=1;
			foreach($verNodeU_r as $node) {
			   //echo '<div class="tablar">';
			   $dNdList_r = $node->getElementsByTagName( "*" );
			   $at_r = $node->getAttribute('id');
			   foreach($dNdList_r as $node) {
				 $name= $node->nodeName;
				 $d =$node->nodeValue;
				 $d = filtro(stripslashes(html_entity_decode($d)));
				 $n = strtolower($name);
				 //check if its an email address
				 if (check_email_address($d)) {
				     $d = '<a href="mailto:'.$d.'">&nbsp;'.$d.'</a>';
				 }

				 //check first line
				 if ($n == 'nb') {
                                     $namerpl = $d; 
                                     if ($ncusr == 'Y'){
                                         if (isset($_SESSION["LoggedIn"])){ 
                                               if ($_SESSION["Username"] == stripslashes(html_entity_decode($namerpl))) {
                                                   $lindelete = '<a class="replyblg" href="'.$idpret.'iddelpost='.$at.'&amp;sidelpost='.$sidel.'"  onClick="return confirmar(&quot;'.i18n_r('pages_comments/pc_delcom').'&quot;)">'.i18n_r('pages_comments/pc_del').'</a>'; 
                                               }
                                         }
                                     }
				 }
				 else if ($n == 'date'){
				     $d = strtotime(substr($d,0,strpos($d,'+')-1));
				     $timerpl = strftime($ffpost, $d);
				 }
				 else if ($n == 'cm') {  //comment   
                                      $commentrpl = BBcodeN($d);
                                      foreach ($array_emot as $key => $val) { 
                                             $commentrpl=str_replace($array_emot[$key], '<img src="'.$SITEURL.'plugins/pages_comments/img_emot/'.substr($array_emot[$key],1, strlen($array_emot[$key])-2).'.gif" alt="'.$array_emot[$key].'" />', $commentrpl);    
				      }
				 }
				 else if ($n == 'ct'){
                                      $ctrpl = ''; 
                                      if (trim($d) != ''){
                                          $ctrpl =  htmlentities(i18n_r('pages_comments/WHO'), ENT_QUOTES, "UTF-8").' '.$d;
                                      }
                                 }
				 else if ($n == 'captcha'){}
				 else if ($n == 'em'){}
   				 else if ($n == 'ip_address'){}
				 else if ($n == 'answ'){}
				 else if ($n == 'moder'){$public_rp=$d;}	
				 else if ($n == 'id'){}
                                 else if ($n == 'subid'){ $sidel=$d; }	
			    } //end second foreach of replies
                            //start replies of comments
                            if ($public_rp == 'Y'){
                            echo '<div class="commain">';
                              echo '<div class="commainblg">';
                                 echo '<div class="subjblg">';
                                      echo '<div class="img">';
                                           echo '<img height="18" src="'.$SITEURL.'plugins/pages_comments/images/ico-reply.png" />';
                                      echo '</div>';
                                      echo '&nbsp;'.stripslashes(html_entity_decode($namerpl));
                                 echo '</div>';
                                 echo '<div class="comtblg">'.$commentrpl.'</div>';
                                 echo '<div class="lastline">';
                                      echo '<div class="buttoncom">';
                                           echo '<div class="fftimeblg">';
                                                echo htmlentities(i18n_r('pages_comments/pubd'), ENT_QUOTES, "UTF-8").' '.$timerpl;
                                                if ($ctrpl != ''){
                                                    echo ', '.$ctrpl;
                                                }
                                           echo '</div>';
                                      echo '</div>';
                                      echo $lindelete; 
                                 echo '</div>';
                              echo '</div>';
                            echo '</div>';
                            } //end if $public_rp == N (comments of replies are not moderated)
			    //echo '</div>';  //end tabla replies
			    $countr++;
			} //end first foreach of replies
                        echo '</div>'; //end main tabla
//////////////////
			echo '<div class="none">';
                        //Integrate frontend users plugin
                        if ($ncusr=='Y'){        
                            if (isset($_SESSION["LoggedIn"])){ 
                                    news_form('none', 'y', $log_file, $EMAIL, $count, $at, $capt,$vemot, $moder,$ncusr,$phpmailer);
                            }
                            echo '</div>'; 
                        } else {
                            news_form('none', 'y', $log_file, $EMAIL, $count, $at, $capt,$vemot, $moder,$ncusr,$phpmailer);
                            echo '</div>'; 
                        }


                    } //end if $public_main == Y  (main comments are not moderated)
		}			
		$count++;
			
	    } //end first foreach of comment main

   	    //add or substract if is order ascending or descending
  	   if ($eleg == 'A'){
	       $num++;
    	   } else {
	       $num--;
	   }
	}  //end for ($q= 0; $q< $dnlLen; $q++)
   }  //end if exist log
?>

    <script type="text/javascript">
    <!--
       function Smile(id,texto){
              var frm=document.getElementById(id);
              frm.comentario.value = frm.comentario.value + texto;
        }
       function rec_cpt(id,ourl){
             var aleat = Math.random();
                 var mf = document.getElementById(id);
                 mf.src = ourl + "/pages_comments/&amp;" + aleat;

       }
    -->
    </script>
    <?php
        //only shows form if page has comments
        //Integrate form with front end users plugin
        if ($ncusr=='Y'){
           if (isset($_SESSION["LoggedIn"])){ 
    	        if ($capt!='' and $vemot!='' and $moder!=''){
                   if ($titleform <>''){
        	       echo '<span class="mh3">'.$titleform.'</span>';
                   } else {
        	       echo '<span class="mh3">'.i18n_r('pages_comments/news').'</span>';
                   }  
        	   //form to end 
	           news_form('block','n', $log_file,$EMAIL, $id, $id, $capt, $vemot, $moder,$ncusr,$phpmailer);
 	        }
           }
        } else { 
    	    if ($capt!='' and $vemot!='' and $moder!=''){
                   if ($titleform <>''){
        	       echo '<span class="mh3">'.$titleform.'</span>';
                   } else {
        	       echo '<span class="mh3">'.i18n_r('pages_comments/news').'</span>';
                   }
        	 //form to end
	         news_form('block','n', $log_file,$EMAIL, $id, $id, $capt, $vemot, $moder,$ncusr,$phpmailer);
 	    }
        }
    }

    function news_form($dpl, $nn, $myfile, $email, $count, $at, $capt, $vemot, $moder,$ncusr,$phpmailer) {
       global $SITEURL;
       global $LANG;
       global $mi_arrayp;
       global $mi_array;

       //backlink in pages
       $back = '';
       $back = @$_GET['back'];
       if ($back!=''){
          $back = '&amp;back='.$back;
       }
       //last captcha  
       $imfin = $count;
       if ($dpl =='block'){
           $imfin='f';
       }
       //if error in captcha, or..., show entries write in form
       if ($mi_array['q_count'] == $count){
          $mi_arrayq = $mi_array;
          $dpl ='block';
       } else {
          $mi_arrayq = $mi_arrayp;
       }

       //value of text email   
       if ($mi_array['email'] ==''){
           $mi_arrayq['email'] = i18n_r('pages_comments/em_text');
       }

       //control uri 
       $request_uri = getenv ("REQUEST_URI");      
       $posmiar= strpos($request_uri, 'miarr=');
       if ($posmiar){
	  $request_uri = substr($request_uri, 0, $posmiar - 1);	 
       }  
       $mGSPLUGINPATH = str_replace("\\", "/", GSPLUGINPATH);
       $mGSPLUGINPATH = substr($mGSPLUGINPATH, 0, -1);

       //charge emoticons
       $s_emot = news_emot("img","form".$count);
   
       //Show Form
       echo '<form class="formsp" style="display:'.$dpl.';" name="formulario" id="form'.$count.'" action="'.$SITEURL.'plugins/pages_comments/check.php?tp=guest&amp;ans='.$nn.'&amp;idf='.$at.$back.'" method="post">';
           echo '<div class="form">';
               if (isset($_SESSION['LoggedIn']) && $ncusr=='Y'){
	           echo '<input type="hidden" name="guest[nombre]" value="'.$_SESSION['Username'].'">';
                   if ($nn == 'n'){
                       echo '<div class="textright"><label>'.i18n_r('pages_comments/Sub').'</label></div><div class="input">';
                             echo '<input type="text" class="text" name="guest[subject]"  value="'.$mi_arrayq["subject"].'" />';
                       echo '</div>';
                       echo '<div class="clear"></div>';
                   }         
               } else {
                   echo '<div class="textright"><label><b>'.i18n_r('pages_comments/red').'</b> '.i18n_r('pages_comments/Nb').'</label></div>';
                         echo '<div class="input"><input type="text" class="text" name="guest[nombre]" value="'.$mi_arrayq["nombre"].'" />';
                   echo '</div>';
                   echo '<div class="clear"></div>';
                   echo '<div class="textright"><label>'.i18n_r('pages_comments/Em').'</label></div>';
                        echo '<div class="input"><input class="email" type="text" name="guest[email]" value="'.$mi_arrayq["email"].'" />';
                   echo '</div>';
                   echo '<div class="clear"></div>';
                   echo '<div class="textright"><label>'.i18n_r('pages_comments/Ct').'</label></div>';
                        echo '<div class="input"><input type="text" class="text" name="guest[city]"  value="'.$mi_arrayq["city"].'" />';
                   echo '</div>';
                   echo '<div class="clear"></div>';
	           echo '<input type="hidden" name="guest[subject]" value="">';
               }

               echo '<div class="textright"><label><b>'.i18n_r('pages_comments/red').'</b> '.i18n_r('pages_comments/Cm').'</label>';
                    echo '<div class="bbcode"><b>bbcode:<br /></b><span title="line break">[br]<span>&nbsp;&nbsp;<span title="bold: [b]text[/b]">[b][/b]</span>&nbsp;&nbsp;<span title="Italic: [i]text[/i]">[i][/i]</span>&nbsp;&nbsp;<span title="underline: [u]text[/u]">[u][/u]</span><br />[img]link image[/img]<br />[color=colour][/color]<br />[url]link[/url]<br />[url=link]title[/url]</div>';
               echo '</div>';
               echo '<div class="textarea">';
                     echo '<textarea class="text" name="comentario">'.$mi_arrayq["comentario"].'</textarea>';
               echo '</div>';
               echo '<div class="clear"></div>';       
               if ($vemot =='Y'){
                    echo '<div class="smail">'.$s_emot.'</div>';       
               }
               if ($capt =='Y'){
                   echo '<div class="captch"> ';
                       echo '<img alt="" class="capt" id="captcha'.$imfin.'" src="'.$SITEURL.'plugins/pages_comments/img_cpt.php?url='.GSPLUGINPATH.'pages_comments/" /><input type="button" value="'.i18n_r('pages_comments/reload').'" onClick="javascript:rec_cpt(&quot;captcha'.$imfin.'&quot;,&quot;'.$SITEURL.'plugins/pages_comments/img_cpt.php?url='.$mGSPLUGINPATH.'&quot;)" />&nbsp;<span class="msgavs">'.i18n_r('pages_comments/rl').'</span>';
                  echo '</div>';
                  echo '<div class="cap_input">';
                       echo '<input type="text"  value="" name="guest[pot]" /><span><b>'.i18n_r('pages_comments/red').'</b> '.i18n_r('pages_comments/Cpt').'</span>';
                  echo '</div>';
               }	
               echo '<div class="submit">';  
               	  echo '<input type="submit" value="'.i18n_r('pages_comments/Ev').'" name="guest-submit" />';
                  echo '<span><b>'.i18n_r('pages_comments/red').'</b> '.i18n_r('pages_comments/Rf').'</span>';
                  echo '<input type="hidden" name="guest[q_email]" value="'.$email.'">';
	          echo '<input type="hidden" name="guest[q_file]" value="'.$myfile.'">';
	          echo '<input type="hidden" name="guest[q_uri]" value="'.$request_uri.'">';
	          echo '<input type="hidden" name="guest[q_count]" value="'.$count.'">';
	          echo '<input type="hidden" name="guest[q_lang]" value="'.$LANG.'">';
  	          echo '<input type="hidden" name="guest[q_capt]" value="'.$capt.'">';
	          echo '<input type="hidden" name="guest[q_moder]" value="'.$moder.'">';
	          echo '<input type="hidden" name="guest[q_phpmailer]" value="'.$phpmailer.'">';
                  $_SESSION["pc_Token".$count]  = sha1(microtime() + 'cumbe20122013');
	          echo '<input type="hidden" name="guest[q_token'.$count.']" value="'.$_SESSION["pc_Token".$count].'">';
               echo '</div>';
           echo '</div>';
       echo '</form>';


    }

function news_emot($opcion, $id){
  global $SITEURL;
  $ruta = GSPLUGINPATH.'pages_comments/img_emot/';
  $array_emot= array();
  $s_emot = '';
  if (is_dir($ruta)) {
      if ($dh = opendir($ruta)){
         while (($file = readdir($dh)) !== false){
         	if($file!="." AND $file!=".." AND $file!=".htaccess" AND is_dir($ruta . $file)== false AND strtolower(substr($file,-4))=='.gif'){
			$array_emot[substr($file, 0, strlen($file)-4)] = '['.substr($file, 0, strlen($file)-4).']';
                        $s_emot = $s_emot.' <a href="javascript:Smile(&quot;'.$id.'&quot;,&quot;['.substr($file, 0, strlen($file)-4).']&quot;)"><img src="'.$SITEURL.'plugins/pages_comments/img_emot/'.substr($file, 0, strlen($file)-4).'.gif" /> </a>';
                }
         }
         closedir($dh);
      }
  }
  if ($opcion == 'array'){
              return $array_emot;
  }
  elseif ($opcion == 'img') {
              return $s_emot;
  }

}



function filtro ($texto) {
    $htmlf = array("script", "<", ">");
    $filtrado = array(" scrpt", "&lt;", "&gt;");
    $final = str_replace($htmlf, $filtrado, $texto);

    return $final;
}



function BBcodeN($texton){ 
    $BBcodeN = array(	 
       "/\<(.*?)>/is",
       "/\[i\](.*?)\[\/i\]/is",
       "/\[b\](.*?)\[\/b\]/is",
       "/\[u\](.*?)\[\/u\]/is",
       "/\[img\](.*?)\[\/img\]/is",
       "/\[url=(.*?)\](.*?)\[\/url\]/is",
       "/\[color=(.*?)\](.*?)\[\/color\]/is",
       "/\[br]/",
   );

   $html = array(
	 
	"<$1>",
	"<span style=\"font-style: italic;\">$1</span>",
	"<span style=\"font-weight:bold;\">$1</span>",
	"<span style=\"text-decoration:underline;\">$1</span>",
	"<img src=\"$1\" />",
	"<a href=\"$1\" target=\"_blank\">$2</a>",
	"<span style=\"color:$1\">$2</span>",
        "<br />",
   );

    $BBcodeNn = array(	 
       "/\[url\](.*?)\[\/url\]/is",
   );

   $htmln = array(
	"<a href=\"$1\" target=\"_blank\">$1</a>",
   );

	$texton = preg_replace($BBcodeN, $html, $texton);
	$texton = preg_replace($BBcodeNn, $htmln, $texton);
	return $texton;
}


 function pcusers($ncusr){
  ///////////////////////////////////////////////////////
  //   function that integrate front end users plugin
  ///////////////////////////////////////////////////////

          if (isset($_SESSION["LoggedIn"])){ 
             echo '<p> '. welcome_message_login().'</p>';
          }
          else {
             echo '<p>'.i18n_r('pages_comments/wrtusr').'<a id="ahrefregisterform" href="javascript:Insertcom(&quot;registerform&quot;,&quot;0&quot;,&quot;0&quot;)">'.i18n_r('pages_comments/nc_rgs').'</a></p>';
             echo '<p> '. show_login_box().'</p>';
	     echo '<p id="userloginregistertitle" style="display: none;">'.i18n_r('pages_comments/nc_rgsr').'</p>';
             echo '<p> '. user_login_register().'</p>';
         }

 }


?>
